### Hierarchy

- GameInfoEventHandler

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- eventName
- handler

## Constructors

### constructor

- new GameInfoEventHandler(handler: function): GameInfoEventHandler

- - Defined in Handlers.ts:42

  #### Parameters

  - ##### handler: function

    - - (message: GameInfoMessage): void

      - #### Parameters

        - ##### message: GameInfoMessage

        #### Returns void

  #### Returns GameInfoEventHandler

## Properties

### eventName

eventName: GameInfo

Implementation of IEventHandler.eventName

- Defined in Handlers.ts:42

### handler

handler: function

Implementation of IEventHandler.handler

- Defined in Handlers.ts:43

#### Type declaration

- - (message: GameInfoMessage): void

  - #### Parameters

    - ##### message: GameInfoMessage

    #### Returns void

Generated using TypeDoc